<?php

/**
 * Class that operate on table 'wishlist'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2025-05-17 18:39
 */
class WishlistMySqlExtDAO extends WishlistMySqlDAO {

    public function deleteByClientidAndProductId($clientid, $productid) {
        $sql = 'DELETE FROM wishlist WHERE clientid = ' . $clientid . ' and productid = ' . $productid;
        $sqlQuery = new SqlQuery($sql);
        return $this->executeUpdate($sqlQuery);
    }

    public function runSelectQuery($sql) {
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}

?>